# Função Caso Principal para chamadas.
function casos(){
     echo -e "\nDetetive: ${nome_do_player^} escolha o caso."
     echo -e "\n${azul}[Retornar]${desliga} | ${azul}[O Caso Skyller]${desliga}"
     while true; do
         read -p $'\n\e[31;1m>\e[m ' entrar
         case "$entrar" in
             "retornar") principal                     ;;
             "ir para o caso skyller"|"ir para caso skyller")  o_caso_skyller ;;
             *) echo -e "\t${vermelho}ir para...${desliga}"; sleep 1s; continue ;;
         esac
     done
}


#========CASOS==========#

function o_caso_skyller(){
   local chave_de_acesso="" # Inicializando
   if grep -iwo "chave_de_acesso_o_caso_skyller" "$usuario_save" >/dev/null 2>&1; then
      i=1
       while :; do
          if [[ "$sair" = "sair" ]]; then
            { clear; casos ;}  # Retorna ao menu casos
          fi
             read -p $'\n\e[42;37;1mDigite a Chave de acesso ao Caso Skyller:\e[m ' chave_de_acesso sair
             local sair="${sair,,}"   # Tudo em minusculo
             [[ "$chave_de_acesso" = "$chave_de_acesso_o_caso_skyller" ]] && break || { echo -e "${vermelho}Chave Errada... Se desejar sair, fale: 'sair'${desliga}" ;}
       done     
      
      # CHAVE ACEITA?  
      echo -e "${azul}Chave ${chave_de_acesso} Aceita...${desliga}" | pv -qL 12; sleep 1s
            echo -e "\n${ciano}---->Você está no Caso Skyller.${desliga}\n"
            echo -e "${azul}[Retornar]${desliga} | ${azul}[O Lago Saint]${desliga}"
      while true; do      
            read -p $'\n\e[31;1m>\e[m ' ir
            case "$ir" in
                 "retornar"|"retorne")                        casos      ;;
                 "ir para o lago saint"|"ir para lago saint")
                    cat <<-END
                  _ __            _ __            _ __           _ __
                 (_|_ '.         (_|_ '.         (_|_ '.        (_|_ '.
                     '-'             '-'             '-'            '-'
          _ _.-.         _ _.-.          _ _.-.          _ _.-.
         (_|__.'        (_|__.'         (_|__.'         (_|__.'
										END
                    echo -e "${ciano}Caminhando até Lago Saint...${desliga}" | pv -qL 12
                    lago_saint  Chamada # Lago Saint
                  ;; 
                  *) echo -e "\t${vermelho}ir para...${desliga}" ; sleep 1s ; continue ;;
            esac
      done      
   else
         echo -e \
         "${vermelho}Detetive:${desliga} ${nome_do_player}, ${vermelho}VOCÊ NÃO TEM PERMISSÃO DE ACESSO NO MOMENTO!${desliga}"
         read -p $'\nOK...<ENTER>'
         casos # Chama função principal casos.
   fi   
}



